Package ru.bitel.bgbilling.modules.inet.server.bean

# Enum Class Keys

java.lang.Object
java.lang.Enum<Keys>
ru.bitel.bgbilling.modules.inet.server.bean.Keys

All Implemented Interfaces:
  `Serializable`, `Comparable<Keys>`, `Constable`

public enum Keys extends Enum<Keys>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SA_BATCH_PAUSE`
  `SA_BATCH_PAUSE_MILLIS`
  `SA_BATCH_SIZE`
  `SA_BATCH_WAIT`
  `SA_BATCH_WAIT_MILLIS`
  `SA_BATCH_WAIT_NEXT`
  `SA_BATCH_WAIT_NEXT_MILLIS`
  `SA_COMMAND_CONNECT`
  `SA_COMMAND_DISCONNECT`
  `SA_COMMAND_EXIT`
  `SA_COMMAND_EXIT_VALUE`
  `SA_COMMAND_SERV_CANCEL`
  `SA_COMMAND_SERV_CREATE`
  `SA_COMMAND_SERV_DISABLE`
  `SA_COMMAND_SERV_ENABLE`
  `SA_CONNECTION_CLOSE_INSTEAD_MODIFY`
  `SA_CONNECTION_MANAGE`
  `SA_CONNECTION_MODIFY_INSTEAD_CLOSE`
  `SA_CONNECTION_STATE_MODIFY`
  `SA_DEVICE_SYNC_ALL_PATH`
  `SA_DEVICE_SYNC_CANCEL_BEFORE_CREATE`
  `SA_DEVICE_SYNC_ON_ACCOUNTING_START`
  `SA_DEVICE_SYNC_ON_REBOOT`
  `SA_DNS_DEVICE_TYPE_IDS`
  `SA_DNS_HOSTNAME`
  `SA_DNS_INET_OPTIONS`
  `SA_DNS_SKIP_DEVICE_TYPE_IDS`
  `SA_ERROR_ALARM_COUNT`
  `SA_ERROR_PAUSE`
  `SA_ERROR_PAUSE_MILLIS`
  `SA_ERROR_REDELIVERY_COUNT`
  `SA_ERROR_REDELIVERY_TIMEOUT`
  `SA_ERROR_REDELIVERY_TIMEOUT_MILLIS`
  `SA_LAZY`
  `SA_SNMP_CONNECTION_KEY_FIELD`
  `SA_SNMP_CONNECTION_KEY_LENGTH`
  `SA_SNMP_CONNECTION_KEY_MODE`
  `SA_SNMP_CONNECTION_KEY_OFFSET`
  `SA_SNMP_DISCONNECT_MODE`
  `SA_SNMP_DISCONNECT_OID`
  `SA_SNMP_DISCONNECT_VALUE`
  `SNMP_COMMUNITY`
  `SNMP_HOST`
  `SNMP_PORT`
  `SNMP_VERSION`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `key`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  `static Keys`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Keys[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SNMP_VERSION

    public static final Keys SNMP_VERSION

  - ### SNMP_HOST

    public static final Keys SNMP_HOST

  - ### SNMP_PORT

    public static final Keys SNMP_PORT

  - ### SNMP_COMMUNITY

    public static final Keys SNMP_COMMUNITY

  - ### SA_SNMP_DISCONNECT_MODE

    public static final Keys SA_SNMP_DISCONNECT_MODE

  - ### SA_SNMP_DISCONNECT_OID

    public static final Keys SA_SNMP_DISCONNECT_OID

  - ### SA_SNMP_DISCONNECT_VALUE

    public static final Keys SA_SNMP_DISCONNECT_VALUE

  - ### SA_SNMP_CONNECTION_KEY_FIELD

    public static final Keys SA_SNMP_CONNECTION_KEY_FIELD

  - ### SA_SNMP_CONNECTION_KEY_OFFSET

    public static final Keys SA_SNMP_CONNECTION_KEY_OFFSET

  - ### SA_SNMP_CONNECTION_KEY_LENGTH

    public static final Keys SA_SNMP_CONNECTION_KEY_LENGTH

  - ### SA_SNMP_CONNECTION_KEY_MODE

    public static final Keys SA_SNMP_CONNECTION_KEY_MODE

  - ### SA_DEVICE_SYNC_ON_REBOOT

    public static final Keys SA_DEVICE_SYNC_ON_REBOOT

  - ### SA_DEVICE_SYNC_ALL_PATH

    public static final Keys SA_DEVICE_SYNC_ALL_PATH

  - ### SA_DEVICE_SYNC_ON_ACCOUNTING_START

    public static final Keys SA_DEVICE_SYNC_ON_ACCOUNTING_START

  - ### SA_DEVICE_SYNC_CANCEL_BEFORE_CREATE

    public static final Keys SA_DEVICE_SYNC_CANCEL_BEFORE_CREATE

  - ### SA_DNS_HOSTNAME

    public static final Keys SA_DNS_HOSTNAME

  - ### SA_DNS_INET_OPTIONS

    public static final Keys SA_DNS_INET_OPTIONS

  - ### SA_DNS_DEVICE_TYPE_IDS

    public static final Keys SA_DNS_DEVICE_TYPE_IDS

  - ### SA_DNS_SKIP_DEVICE_TYPE_IDS

    public static final Keys SA_DNS_SKIP_DEVICE_TYPE_IDS

  - ### SA_COMMAND_EXIT

    public static final Keys SA_COMMAND_EXIT

  - ### SA_COMMAND_EXIT_VALUE

    public static final Keys SA_COMMAND_EXIT_VALUE

  - ### SA_COMMAND_CONNECT

    public static final Keys SA_COMMAND_CONNECT

  - ### SA_COMMAND_DISCONNECT

    public static final Keys SA_COMMAND_DISCONNECT

  - ### SA_COMMAND_SERV_ENABLE

    public static final Keys SA_COMMAND_SERV_ENABLE

  - ### SA_COMMAND_SERV_DISABLE

    public static final Keys SA_COMMAND_SERV_DISABLE

  - ### SA_COMMAND_SERV_CREATE

    public static final Keys SA_COMMAND_SERV_CREATE

  - ### SA_COMMAND_SERV_CANCEL

    public static final Keys SA_COMMAND_SERV_CANCEL

  - ### SA_CONNECTION_MANAGE

    public static final Keys SA_CONNECTION_MANAGE

  - ### SA_CONNECTION_STATE_MODIFY

    public static final Keys SA_CONNECTION_STATE_MODIFY

  - ### SA_CONNECTION_MODIFY_INSTEAD_CLOSE

    public static final Keys SA_CONNECTION_MODIFY_INSTEAD_CLOSE

  - ### SA_CONNECTION_CLOSE_INSTEAD_MODIFY

    public static final Keys SA_CONNECTION_CLOSE_INSTEAD_MODIFY

  - ### SA_ERROR_PAUSE

    public static final Keys SA_ERROR_PAUSE

  - ### SA_ERROR_PAUSE_MILLIS

    public static final Keys SA_ERROR_PAUSE_MILLIS

  - ### SA_ERROR_ALARM_COUNT

    public static final Keys SA_ERROR_ALARM_COUNT

  - ### SA_ERROR_REDELIVERY_TIMEOUT

    public static final Keys SA_ERROR_REDELIVERY_TIMEOUT

  - ### SA_ERROR_REDELIVERY_TIMEOUT_MILLIS

    public static final Keys SA_ERROR_REDELIVERY_TIMEOUT_MILLIS

  - ### SA_ERROR_REDELIVERY_COUNT

    public static final Keys SA_ERROR_REDELIVERY_COUNT

  - ### SA_LAZY

    public static final Keys SA_LAZY

  - ### SA_BATCH_SIZE

    public static final Keys SA_BATCH_SIZE

  - ### SA_BATCH_PAUSE

    public static final Keys SA_BATCH_PAUSE

  - ### SA_BATCH_PAUSE_MILLIS

    public static final Keys SA_BATCH_PAUSE_MILLIS

  - ### SA_BATCH_WAIT

    public static final Keys SA_BATCH_WAIT

  - ### SA_BATCH_WAIT_MILLIS

    public static final Keys SA_BATCH_WAIT_MILLIS

  - ### SA_BATCH_WAIT_NEXT

    public static final Keys SA_BATCH_WAIT_NEXT

  - ### SA_BATCH_WAIT_NEXT_MILLIS

    public static final Keys SA_BATCH_WAIT_NEXT_MILLIS

- ## Field Details

  - ### key

    public final String key

- ## Method Details

  - ### values

    public static Keys[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Keys valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getKey

    public String getKey()